# ifndef HISTORY_H
   # define HISTORY_H

   # define HISTORY_COMMAND   0
   # define HISTORY_FILE_OPEN 1
   # define HISTORY_FILE_SAVE 2
   # define HISTORY_SEARCH    3
   # define HISTORY_GOTO_LINE 4

   # define NUMBER_OF_HISTORIES  5
   # define HISTORY_ENTRY_CARDINAL  256

   struct History
      { int cardinal;
        int entry_size[HISTORY_ENTRY_CARDINAL];
        char *  _entry[HISTORY_ENTRY_CARDINAL];
      };
   extern History * _history_ptr[NUMBER_OF_HISTORIES];

   extern void history_init();
   extern void history_save();
   extern void history_load();
   extern int  history_complete(History * _history);
   extern void history_update(History * _history);
# endif
